Start Passkey Registration
curl --request POST \
--url https://passkeys.hanko.io/{tenant_id}/registration/initialize \
--header 'Content-Type: application/json' \
--header 'apiKey: <apikey>' \
--data '
{
"user_id": "<string>",
"username": "<string>",
"icon": "<string>",
"display_name": "<string>"
}
'import requests
url = "https://passkeys.hanko.io/{tenant_id}/registration/initialize"
payload = {
"user_id": "<string>",
"username": "<string>",
"icon": "<string>",
"display_name": "<string>"
}
headers = {
"apiKey": "<apikey>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apiKey: '<apikey>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '<string>',
username: '<string>',
icon: '<string>',
display_name: '<string>'
})
};
fetch('https://passkeys.hanko.io/{tenant_id}/registration/initialize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"publicKey": {
"rp": {
"name": "<string>",
"id": "<string>"
},
"user": {
"id": "<string>",
"displayName": "<string>",
"name": "<string>"
},
"challenge": "<string>",
"pubKeyCredParams": [
{
"type": "public-key",
"alg": 123
}
],
"timeout": 123,
"excludeCredentials": [
{
"type": "public-key",
"id": "<string>",
"transports": []
}
],
"authenticatorSelection": {
"requireResidentKey": false
},
"extensions": {
"appid": "<string>",
"appidExclude": "<string>",
"credProps": true
}
}
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}Signup
Start Passkey Registration
Initialize a registration for webauthn credentials
POST
/
{tenant_id}
/
registration
/
initialize
Start Passkey Registration
Headers
Secret API key
Minimum string length:
32Path Parameters
UUID of the tenant
Required string length:
36Example:
["1f496bcd-49da-4839-a02f-7ce681ccb488"]
Body
application/json
Response
Example response
Show child attributes
Show child attributes
Was this page helpful?
⌘I